FileAttrs (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class FileAttrs

    java.lang.Object
      org.hyperic.sigar.FileAttrs

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FileInfo

    public class FileAttrs

extends java.lang.Object
implements java.io.Serializable

FileAttrs sigar class.

See Also:
  Serialized Form

Constructor Summary
`FileAttrs()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`long` | `getAtime()` Get the atime.
`long` | `getCtime()` Get the ctime.
`long` | `getDevice()` Get the device.
`long` | `getGid()` Get the gid.
`long` | `getInode()` Get the inode.
`long` | `getMtime()` Get the mtime.
`long` | `getNlink()` Get the nlink.
`long` | `getPermissions()` Get the permissions.
`long` | `getSize()` Get the size.
`int` | `getType()` Get the type.
`long` | `getUid()` Get the uid.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileAttrs

    public FileAttrs()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getPermissions

    public long getPermissions()

  Get the permissions.

  Supported Platforms: Undocumented.

  Returns:
    permissions

### getType

    public int getType()

  Get the type.

  Supported Platforms: Undocumented.

  Returns:
    type

### getUid

    public long getUid()

  Get the uid.

  Supported Platforms: Undocumented.

  Returns:
    uid

### getGid

    public long getGid()

  Get the gid.

  Supported Platforms: Undocumented.

  Returns:
    gid

### getInode

    public long getInode()

  Get the inode.

  Supported Platforms: Undocumented.

  Returns:
    inode

### getDevice

    public long getDevice()

  Get the device.

  Supported Platforms: Undocumented.

  Returns:
    device

### getNlink

    public long getNlink()

  Get the nlink.

  Supported Platforms: Undocumented.

  Returns:
    nlink

### getSize

    public long getSize()

  Get the size.

  Supported Platforms: Undocumented.

  Returns:
    size

### getAtime

    public long getAtime()

  Get the atime.

  Supported Platforms: Undocumented.

  Returns:
    atime

### getCtime

    public long getCtime()

  Get the ctime.

  Supported Platforms: Undocumented.

  Returns:
    ctime

### getMtime

    public long getMtime()

  Get the mtime.

  Supported Platforms: Undocumented.

  Returns:
    mtime

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.